Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# JSON_Generator_StateStruct Struct Reference

`#include <generator.h>`

## Data Fields
char * | indent
long | indent_len
char * | space
long | space_len
char * | space_before
long | space_before_len
char * | object_nl
long | object_nl_len
char * | array_nl
long | array_nl_len
FBuffer * | array_delim
FBuffer * | object_delim
FBuffer * | object_delim2
long | max_nesting
char | allow_nan
char | ascii_only

## Detailed Description

Definition at line 109 of file generator.h.

## Field Documentation

char JSON_Generator_StateStruct::allow_nan

Definition at line 124 of file generator.h.

Referenced by generate_json().

FBuffer* JSON_Generator_StateStruct::array_delim

Definition at line 120 of file generator.h.

Referenced by cState_init_copy(), generate_json(), and State_free().

char* JSON_Generator_StateStruct::array_nl

Definition at line 118 of file generator.h.

Referenced by cState_init_copy(), generate_json(), and State_free().

long JSON_Generator_StateStruct::array_nl_len

Definition at line 119 of file generator.h.

Referenced by cState_init_copy(), and generate_json().

char JSON_Generator_StateStruct::ascii_only

Definition at line 125 of file generator.h.

Referenced by generate_json().

char* JSON_Generator_StateStruct::indent

Definition at line 110 of file generator.h.

Referenced by cState_init_copy(), generate_json(), and State_free().

long JSON_Generator_StateStruct::indent_len

Definition at line 111 of file generator.h.

Referenced by cState_init_copy(), and generate_json().

long JSON_Generator_StateStruct::max_nesting

Definition at line 123 of file generator.h.

Referenced by generate_json().

FBuffer* JSON_Generator_StateStruct::object_delim

Definition at line 121 of file generator.h.

Referenced by cState_init_copy(), generate_json(), and State_free().

FBuffer* JSON_Generator_StateStruct::object_delim2

Definition at line 122 of file generator.h.

Referenced by cState_init_copy(), generate_json(), and State_free().

char* JSON_Generator_StateStruct::object_nl

Definition at line 116 of file generator.h.

Referenced by cState_init_copy(), generate_json(), and State_free().

long JSON_Generator_StateStruct::object_nl_len

Definition at line 117 of file generator.h.

Referenced by cState_init_copy(), and generate_json().

char* JSON_Generator_StateStruct::space

Definition at line 112 of file generator.h.

Referenced by cState_init_copy(), and State_free().

char* JSON_Generator_StateStruct::space_before

Definition at line 114 of file generator.h.

Referenced by cState_init_copy(), and State_free().

long JSON_Generator_StateStruct::space_before_len

Definition at line 115 of file generator.h.

Referenced by cState_init_copy().

long JSON_Generator_StateStruct::space_len

Definition at line 113 of file generator.h.

Referenced by cState_init_copy().

The documentation for this struct was generated from the following file:

- ext/json/generator/generator.h